
#ifndef _I2C_H_
#define _I2C_H_


#include "nrf.h"
#include "bsp.h"


ret_code_t I2C_Init(void);
void I2C_Uninit(void);


uint8_t I2C_ReadReg(uint8_t reg);

void I2C_SlaveAddr(uint8_t addr);


ret_code_t I2C_WriteReg(uint8_t reg,uint8_t data);

ret_code_t I2C_ReadData(uint8_t reg,uint8_t *data,int len);
ret_code_t I2C_ReadBatchData(uint8_t reg,uint8_t *data,int len);

ret_code_t I2C_WriteData(uint8_t reg,uint8_t *data,int len);






#endif /* _I2C_H_ */
